## org.eclipse.datatools.enablement.sybase.asa.baseloaders
Interface TableASABaseLoader.IASABaseLoaderTable

All Known Implementing Classes:
  SybaseASACatalogBaseProxyTable, SybaseASACatalogBaseTempTable, SybaseASACatalogBaseViewTable, SybaseASACatalogTable, SybaseASACatalogTempTable

Enclosing class:
  TableASABaseLoader

    public static interface TableASABaseLoader.IASABaseLoaderTable

Author:
  linsong

Method Summary
`org.eclipse.emf.common.util.EList` `getIndexSupper()`
`org.eclipse.emf.common.util.EList` `getTriggerSuper()`
`java.lang.Boolean` `isIndexLoaded()`
`java.lang.Boolean` `isTriggerLoaded()`
`void` `setIndexLoaded(java.lang.Boolean loaded)`
`void` `setTriggerLoaded(java.lang.Boolean loaded)`

Method Detail

### isTriggerLoaded

    java.lang.Boolean isTriggerLoaded()

### isIndexLoaded

    java.lang.Boolean isIndexLoaded()

### setTriggerLoaded

    void setTriggerLoaded(java.lang.Boolean loaded)

### setIndexLoaded

    void setIndexLoaded(java.lang.Boolean loaded)

### getTriggerSuper

    org.eclipse.emf.common.util.EList getTriggerSuper()

### getIndexSupper

    org.eclipse.emf.common.util.EList getIndexSupper()